import { cloneDeep as e } from "lodash";
const t = "2.0.0", p = (n) => {
  const o = e(n);
  return o.version !== t ? {
    base: {
      hash: o.hash,
      option: o.option,
      importMap: o.importMap,
      tsconfig: o.tsconfig
    },
    version: t
  } : n;
};
export {
  t as VERSION,
  p as upgradeCustomComponentRender
};
